IPP and Centrino

IPP and Centrino

Hello there

I'm having some troubles with IPP on Centrino based system : when I have a look at the lib version that is loaded on that kind of sustem, I see the PX lib is loaded (!) whereas, of course, Centrino supports MMX, SSE and SSE2.

- Is it normal ?
- if not, will the next release fix that ?

Regards,

Marc

3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Dear Customer,
No it is abnormal.

The Centrino system should be treated as Intel Pentium 4 processor compatible in Intel IPP 4.0. That means it would load the w7 code on a Centrino system.

You may also check the IPP bin directory and system diretory in your system to see if you have the correct IPP version of dll to be loaded.

If you have any further questions or think it is a problem in IPP 4.0, I would recommend you to submit a detaied issue into Intel Premier Support at https://premier.intel.com for assistance.

Hope it helps.
Thanks,
Ying S
Intel IPP

Hello,

Thanks for your answer; once again, I can't understand what's happening as on a standard PIV, the correct dll version is loaded (ie the w7 code). I tried on a Sony Vaio, on a Compaq and on a HP, on these three centrino based laptops the same is happening, i.e the px code is loaded ...

Leave a Comment

Please sign in to add a comment. Not a member? Join today